## org.apache.fop.fo
Class PropertyListBuilder

    java.lang.Object
      |
      +--org.apache.fop.fo.PropertyListBuilder

public class PropertyListBuilder
extends java.lang.Object

Constructor Summary
`PropertyListBuilder()`

Method Summary
`void` `addElementList(java.lang.String element, java.util.Hashtable list)`
`void` `addList(java.util.Hashtable list)`
`Property` `computeProperty(PropertyList propertyList, java.lang.String space, java.lang.String element, java.lang.String propertyName)`
`protected Property.Maker` `findMaker(java.lang.String space, java.lang.String elementName, java.lang.String propertyName)`
`Property` `getSubpropValue(java.lang.String space, java.lang.String element, java.lang.String propertyName, Property p, java.lang.String subpropName)`
`boolean` `isCorrespondingForced(PropertyList propertyList, java.lang.String space, java.lang.String element, java.lang.String propertyName)`
`boolean` `isInherited(java.lang.String space, java.lang.String element, java.lang.String propertyName)`
`PropertyList` `makeList(java.lang.String elementName, org.xml.sax.Attributes attributes, PropertyList parentPropertyList, FObj parentFO)`
`Property` `makeProperty(PropertyList propertyList, java.lang.String space, java.lang.String element, java.lang.String propertyName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyListBuilder

    public PropertyListBuilder()

Method Detail

### addList

    public void addList(java.util.Hashtable list)

### addElementList

    public void addElementList(java.lang.String element,
                               java.util.Hashtable list)

### computeProperty

    public Property computeProperty(PropertyList propertyList,
                                    java.lang.String space,
                                    java.lang.String element,
                                    java.lang.String propertyName)

### isInherited

    public boolean isInherited(java.lang.String space,
                               java.lang.String element,
                               java.lang.String propertyName)

### makeList

    public PropertyList makeList(java.lang.String elementName,
                                 org.xml.sax.Attributes attributes,
                                 PropertyList parentPropertyList,
                                 FObj parentFO)
                          throws FOPException

### getSubpropValue

    public Property getSubpropValue(java.lang.String space,
                                    java.lang.String element,
                                    java.lang.String propertyName,
                                    Property p,
                                    java.lang.String subpropName)

### isCorrespondingForced

    public boolean isCorrespondingForced(PropertyList propertyList,
                                         java.lang.String space,
                                         java.lang.String element,
                                         java.lang.String propertyName)

### makeProperty

    public Property makeProperty(PropertyList propertyList,
                                 java.lang.String space,
                                 java.lang.String element,
                                 java.lang.String propertyName)
                          throws FOPException

### findMaker

    protected Property.Maker findMaker(java.lang.String space,
                                       java.lang.String elementName,
                                       java.lang.String propertyName)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.